<?php
	function make_api_dir()
	{
		//Check if api folder exists
		if(file_exists("../api") && is_dir("../api"))
		{
			return true;
		}
		//Make new folder
		$debug=@mkdir("../api");
		if($debug === true)
		{
			//Copy index page from backend into new directory
			$debug=@copy("../backend/index.html","../api/index.html");
			if($debug === true)
			{
				echo("Created new folder \"api\". ");
			}
			//Error occurred while copying
			return -173;
		}
		//Error occurred while creating directory
		return -183;
	}
	
	function make_error_dir()
	{
		//Check if error folder exists
		if(file_exists("../error") && is_dir("../error"))
		{
			return true;
		}
		//Make new folder
		$debug=@mkdir("../error");
		if($debug === true)
		{
			//Copy index page from backend into new directory
			$debug=@copy("../backend/index.html","../error/index.html");
			if($debug === true)
			{
				echo("Created new folder \"error\". ");
				//All successful
				return true;
			}
			//Error occurred while copying
			return -273;
		}
		//Error occurred while creating directory
		return -283;
	}
	
	function preprocessor_run()
	{
		$debug=make_api_dir();
		if($debug === true)
		{
			$debug=make_error_dir();
		}
		return $debug;
	}
?>